main {
  z-index: 10;
  position: relative;
}

.tada-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  pointer-events: none;
  overflow: hidden;
  z-index: 100;
}

#top-lace {
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  z-index: 80;
  height: 15px;
}

.toolbar {
  position: fixed;
  top: 16px;
  left: 22px;
  right: 22px;
  z-index: 11;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.back-title-wrapper {
  flex: 1;
  background: var(--title);
  box-shadow: 4px 3px 0 var(--title-shadow);
  border-radius: 32px;
  margin-right: var(--spacing);
  display: flex;
  color: var(--title-text);
  min-width: 0;
  overflow: hidden;
}

.toolbar h1 {
  margin: 0;
  padding: 5px;
  padding-left: var(--spacing-small);
  display: flex;
  color: inherit;
  font-size: var(--primary-font-size-medium);
  font-family: var(--primary-font);
  min-width: 0;
  flex: 1;

  span {
    white-space: nowrap;
    text-overflow: ellipsis;
    min-width: 0;
    overflow: hidden;
    flex: 1;
    position: relative;
    top: 3px;
  }
}

[menu-button] {
  z-index: 12;
}

.back-to-home {
  position: absolute;
  top: 64px;
  left: -18px;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  background-color: var(--menu-background);
  box-shadow: 4px 3px 0 var(--menu-foreground);
  color: var(--menu-foreground);
  transition: background-color 330ms linear, box-shadow 330ms linear, color 330ms linear;
  display: flex;
  justify-content: center;
  align-items: center;

  svg {
    width: 26px;
    height: 26px;
    fill: var(--menu-foreground);
  }
}

.maintenance-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  overflow-y: auto;
  overflow-x: hidden;
  background: var(--maintenance-background);
  z-index: 10000;
  box-sizing: border-box;
  position: relative;

  .maintenance-content {
    width: 100vw;
    min-height: 100vh;
    box-sizing: border-box;
    padding: 175px var(--spacing-big);
    position: relative;

    @media (min-width: 384px) {
      padding: 175px var(--spacing-big) 0;
    }

    @media (min-width: 768px) {
      padding: 175px 25vw 0;
    }

    @media (min-width: 1400px) {
      padding: 175px 35vw 0;
    }
  }

  h1 {
    text-align: center;
    font-size: var(--primary-font-size-medium);
    font-family: var(--primary-font);
    margin-bottom: var(--spacing-medium);
  }

  p {
    font-size: var(--secondary-font-size-small);
    font-family: var(--secondary-font);
    margin-bottom: var(--spacing);
  }
}

#maintenance-barier {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 145px;

  @media screen and (min-width: 415px) {
    width: 188px;
  }
}

#maintenance-barier-2 {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 188px;
  display: none;

  @media screen and (min-width: 768px) {
    display: block;
  }
}

#maintenance-bunny {
  height: 150px;
  margin: auto;
  display: block;
}

#maintenance-cone,
#maintenance-cone-2 {
  height: 115px;
  position: absolute;
  top: var(--spacing);
  z-index: -1;
}

#maintenance-cone {
  left: var(--spacing);
  animation: cone-animation 8s linear infinite;
}
#maintenance-cone-2 {
  right: var(--spacing);
  animation: cone-animation-2 8s linear infinite;
}

@keyframes cone-animation {
  0% {
    transform: rotate(0deg);
  }
  2.5% {
    transform: rotate(10deg);
  }
  5% {
    transform: rotate(0deg);
  }
  7.5% {
    transform: rotate(-10deg);
  }
  10% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

@keyframes cone-animation-2 {
  0% {
    transform: rotate(0deg);
  }
  2.5% {
    transform: rotate(-10deg);
  }
  5% {
    transform: rotate(0deg);
  }
  7.5% {
    transform: rotate(10deg);
  }
  10% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(0deg);
  }
}
